<?php
/*********************************************************************
*	XLAgenda 4 par Xavier LE QUERE
*   Contact : support[at]xlagenda.fr
*   Web : http://www.xlagenda.fr
*   (C) Xavier LE QUERE, 2003-2011
*   Version 4.2 - 13/02/11
*
*   This program is free software; you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation; either version 2 of the License, or
*   (at your option) any later version.
*   
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*   
*   You should have received a copy of the GNU General Public License
*   along with this program; if not, write to the Free Software
*   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*********************************************************************/

/*********************************************************************
*	NE PAS EDITER CE FICHIER
*   POUR PERSONNALISER L'ADMIN EDITEZ header.php ET footer.php
*   VOUS POUVEZ AUSSI EDITER LA FEUILLE DE STYLE
*********************************************************************/
include("../include/data.php");
include("../include/connexion.php");
include("../include/functions.php");
initSession();
//INITIALISATION DES VARIABLES
$authorised=0;
$num=0;
//RECUPERATION DES DONNEES
$the_user=(isset($_SESSION['the_user'])) ? $_SESSION['the_user'] : Null;
$id=(isset($_REQUEST['id'])) ? $_REQUEST['id'] : Null;
$form=(isset($_POST['form'])) ? $_POST['form'] : Null;
$nom=(isset($_POST['nom'])) ? $_POST['nom'] : Null;
$couleur=(isset($_POST['couleur'])) ? $_POST['couleur'] : Null;
$nom_old=(isset($_POST['nom_old'])) ? $_POST['nom_old'] : Null;
$actif=(isset($_POST['actif'])) ? $_POST['actif'] : Null;
$action=(isset($_REQUEST['action'])) ? $_REQUEST['action'] : Null;
//SUPPRESSION DES SLASHES SI NECESSAIRE
if (get_magic_quotes_gpc())
{
$nom=stripslashes($nom);
$couleur=stripslashes($couleur);
$nom_old=stripslashes($nom_old);
}
//PROTECTION POUR EVITER LES INJECTIONS SQL
$nom=mysql_real_escape_string($nom);
$couleur=mysql_real_escape_string($couleur);
$nom_old=mysql_real_escape_string($nom_old);
//CONTROLE DE LA VALIDITE DES ID
if (isset($id) AND (!is_numeric($id)))
{
die();
}
if (isset($actif) AND (!is_numeric($actif)))
{
die();
}
//CONVERSION DES CARACTERES SPECIAUX
$nom=htmlentities($nom);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html lang="fr">
<head>
<title><?php echo $titre_page ?> | Administration</title>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
<meta name="author" content="XLAgenda <?php echo get_version() ?>">
<meta name="author-url" content="http://www.xlagenda.fr">
<link rel="stylesheet" href="style.css" type="text/css">
<meta name="robots" content="noindex, nofollow">
<meta http-equiv="pragma" content="no_cache">
<script type="text/javascript" src="../include/jquery.js"></script>
<script type="text/javascript" src="../include/jscolor/jscolor.js"></script>
<script type="text/javascript">
<!--
function verifierFormulaire(id)
{
	var nom = document.getElementById("modif_categorie_"+id).value;
	var disponible = document.getElementById("disponible_"+id).value;
	if (nom == "")
	{
		var message="Veuillez introduire le nom de la catgorie.\n";
		var erreur = 1;
	}
	else if (disponible == 0)
	{
		var message="Cette catgorie existe dj.\n";
		var erreur = 1;
	}
	if (erreur)
		{
			alert(message);
			return false;
		}
}

function modifierCategorie(id)
{
	var test = document.getElementById("form_categorie_"+id).style.display;
	if (test == "none")
	{
		document.getElementById("form_categorie_"+id).style.display="block";
	}
	else
	{
		document.getElementById("form_categorie_"+id).style.display="none";
	}
}

function annulerModif(id)
{
	document.getElementById("form_categorie_"+id).style.display="none";
}

function supprimerCategorie(id)
{
	if (confirm('Voulez-vous rellement supprimer cette catgorie et tous les vnements qu\'elle contient ?\nCette action ne pourra pas tre annule.')) 
	{
	document.location.href="categories1.php?action=supprimer&id="+id;
	}
}

function activerCategorie(id,actif)
{
if (actif == 1)
{
	if (confirm('Cette catgorie est dsactive.\nVoulez-vous rellement l\'activer ?')) 
		{
		document.location.href="categories1.php?action=activer&id="+id;
		}
}
else if (actif == 0)
{
	if (confirm('Si vous dsactivez cette catgorie, les vnements qu\'elle contient resteront visibles mais vous ne pourrez pas en ajouter de nouveau.\nVoulez-vous continuer ?')) 
		{
		document.location.href="categories1.php?action=desactiver&id="+id;
		}
}
}

function checkCategorie(id)
{
	document.getElementById("disponible_"+id).value="";
	document.getElementById("divCategorie_"+id).innerHTML="";
	document.getElementById("divCategorie_"+id).className="";
	var nom=document.getElementById("modif_categorie_"+id).value;
	var nom_old=document.getElementById("nom_old_"+id).value;
	if (nom != "" && nom != nom_old)
	{
	$.ajax({
	type: 'POST',
	url: 'checkCategorie.php',
	data: "nom="+nom+"&"+"categorie_id="+id,
	dataType: 'text',
	success: validerCategorie
	});
	}
	else
	{
	document.getElementById("disponible_"+id).value=1;
	}
}

function validerCategorie(reponse)
{
	var regSeparateur=new RegExp(";", "g");
	var result=reponse.split(regSeparateur);
	var id=result[1];
	if (result[0] == 1)
	{
	document.getElementById("divCategorie_"+id).innerHTML="Catgorie non disponible";
	document.getElementById("divCategorie_"+id).className="valid_ko";
	document.getElementById("disponible_"+id).value=0;
	}
	else
	{
	document.getElementById("divCategorie_"+id).innerHTML="Catgorie disponible";
	document.getElementById("divCategorie_"+id).className="valid_ok";
	document.getElementById("disponible_"+id).value=1;
	}
}

function initialiserCouleur(id)
{
	document.getElementById("code_couleur_"+id).value="FFFFFF";
	document.getElementById("couleur_"+id).style.backgroundColor="#FFFFFF";
}
-->
</script>
<?php
include("header.php");
//ON TESTE SI L'UTILISATEUR EST CONNECTE
if (!isSessionValide())
{
//SI l'UTILISATEUR N'EST PAS CONNECTE
echo "<p>Votre session a expir&eacute;, merci de <a  href=\"index.php\">vous reconnecter</a>.</p>\n";
}

else
{
//SI L'UTILISATEUR EST CONNECTE
//CONTROLE DE L'AUTORISATION D'ACCEDER A LA PAGE
$auth=array('gerer');
$auth=isAutorise($auth);
$auth_gerer=$auth['gerer'];
if (!$auth_gerer)
{
echo "<p>Vous n'&ecirc;tes pas autoris&eacute; &agrave; acc&eacute;der &agrave; cette page.<br>\n";
echo "Pour revenir au menu principal, <a href=\"index.php\">cliquez ici</a>.</p>\n";
}
else
{
$authorised=1;
}
}

//SI l'UTILISATEUR EST AUTORISE A ACCEDER A LA PAGE
if ($authorised == 1)
{
include ("menu.php");
?>
<h2>G&eacute;rer les cat&eacute;gories</h2>
<?php
//AJOUT D'UNE CATEGORIE
if ($action == "ajouter" AND $nom)
{
$query="SELECT id FROM $table_categories WHERE nom = '$nom'";
$result=mysql_query($query);
$num=mysql_num_rows($result);
if ($num)
{
$nom=stripslashes($nom);
echo "<p class=\"erreur\">Erreur : il existe d&eacute;j&agrave; une cat&eacute;gorie portant le nom <b>$nom</b>.<br>L'ajout n'a pas &eacute;t&eacute; effectu&eacute;.</p>\n";
}
else
{
$query="INSERT INTO $table_categories (nom,actif) VALUES ('$nom','$actif')";
$result=mysql_query($query);
if ($result)
{
$nom=stripslashes($nom);
echo "<p class=\"confirmation\">La cat&eacute;gorie <b>$nom</b> a &eacute;t&eacute; ajout&eacute;e.</p>\n";
}
}
}
//DESACTIVATION D'UNE CATEGORIE
if ($action == "desactiver" AND $id)
{
$query="SELECT nom FROM $table_categories WHERE id = '$id'";
$result=mysql_query($query);
if ($result)
{
$ligne=mysql_fetch_array($result);
$nom_categorie=$ligne["nom"];
$num=mysql_num_rows($result);
if ($num)
{
$query="UPDATE $table_categories SET actif = '0' WHERE id = '$id'";
$result=mysql_query($query);
if ($result)
{
echo "<p class=\"confirmation\">La cat&eacute;gorie <b>$nom_categorie</b> a &eacute;t&eacute; d&eacute;sactiv&eacute;e.</p>\n";
}
}
else
{
echo "<p class=\"erreur\">Erreur : la cat&eacute;gorie demand&eacute;e n'existe pas.</p>\n";
}
}
}
//ACTIVATION D'UNE CATEGORIE
if ($action == "activer" AND $id)
{
$query="SELECT nom FROM $table_categories WHERE id = '$id'";
$result=mysql_query($query);
if ($result)
{
$ligne=mysql_fetch_array($result);
$nom_categorie=$ligne["nom"];
$num=mysql_num_rows($result);
if ($num)
{
$query="UPDATE $table_categories SET actif = '1' WHERE id = '$id'";
$result=mysql_query($query);
if ($result)
{
echo "<p class=\"confirmation\">La cat&eacute;gorie <b>$nom_categorie</b> a &eacute;t&eacute; activ&eacute;e.</p>\n";
}
}
else
{
echo "<p class=\"erreur\">Erreur : la cat&eacute;gorie demand&eacute;e n'existe pas.</p>\n";
}
}
}
//SUPPRESSION D'UNE CATEGORIE
if ($action == "supprimer" AND $id)
{
$query="SELECT nom FROM $table_categories WHERE id = '$id'";
$result=mysql_query($query);
if ($result)
{
$ligne=mysql_fetch_array($result);
$nom_categorie=$ligne["nom"];
$num=mysql_num_rows($result);
if ($num)
{
$query="DELETE FROM $table_categories WHERE id = '$id'";
$result=mysql_query($query);
if ($result)
{
echo "<p class=\"confirmation\">La cat&eacute;gorie <b>$nom_categorie</b> a &eacute;t&eacute; supprim&eacute;e.</p>\n";
}
$query="OPTIMIZE TABLE $table_categories";
$result=mysql_query($query);
$query="DELETE FROM $table_agenda WHERE categorie = '$id'";
$result=mysql_query($query);
$query="OPTIMIZE TABLE $table_agenda";
$result=mysql_query($query);
}
else
{
echo "<p class=\"erreur\">Erreur : la cat&eacute;gorie demand&eacute;e n'existe pas.</p>\n";
}
}
}
//MODIFICATION D'UNE CATEGORIE
if ($action == "modifier" AND $id)
{
if (!$nom)
{
echo "<p class=\"erreur\">Erreur : vous devez donner un nom &agrave; la cat&eacute;gorie.<br>La modification n'a pas &eacute;t&eacute; effectu&eacute;e.</p>\n";
}
else
{
$query="SELECT id FROM $table_categories WHERE nom = '$nom' AND id != '$id'";
$result=mysql_query($query);
if ($result)
{
$num=mysql_num_rows($result);
}
if ($num)
{
$nom=stripslashes($nom);
echo "<p class=\"erreur\">Erreur : il existe d&eacute;j&agrave; une cat&eacute;gorie portant le nom <b>$nom</b>.<br>La modification n'a pas &eacute;t&eacute; effectu&eacute;e.</p>\n";
}
else
{
$query="SELECT id FROM $table_categories WHERE id = '$id'";
$result=mysql_query($query);
$num=mysql_num_rows($result);
if ($num)
{
$query="UPDATE $table_categories SET nom='$nom',couleur='$couleur' WHERE id='$id'";
$result=mysql_query($query);
if ($result)
{
$nom_old=stripslashes($nom_old);
echo "<p class=\"confirmation\">La cat&eacute;gorie <b>$nom_old</b> a &eacute;t&eacute; modifi&eacute;e.</p>\n";
}
}
else
{
echo "<p class=\"erreur\">Erreur : la cat&eacute;gorie demand&eacute;e n'existe pas.</p>\n";
}
}
}
}
?>
<p>&gt; <a href="categories2.php">Ajouter une cat&eacute;gorie</a></p> 
<?php
$query="SELECT id,nom,couleur,actif FROM $table_categories ORDER BY nom ASC";
$result=mysql_query($query);
$total=mysql_num_rows($result);
if ($total == 1)
{
echo "<p class=\"warning\">Vous devez toujours avoir au moins une cat&eacute;gorie. Pour supprimer cette cat&eacute;gorie, veuillez d'abord en cr&eacute;er une autre.</p>\n";
}
if ($result)
{
echo "<p>";
while($ligne=mysql_fetch_array($result))
{
$id=$ligne["id"];
$nom=$ligne["nom"];
$couleur=$ligne["couleur"];
$actif=$ligne["actif"];
$nom=stripslashes($nom);
$query2="SELECT id FROM $table_agenda WHERE categorie = '$id'";
$result2=mysql_query($query2);
if ($result)
{
$num=mysql_num_rows($result2);
}
$couleur=testCouleur($couleur);
if (!$couleur) echo "<div class=\"event\">\n";
else echo "<div class=\"event\" style=\"border-left:5px solid $couleur\">\n";
echo "<h3 id=\"nom_categorie_$id\">$nom</h3>\n";
if ($num > 1)
{
echo "<p>$num &eacute;v&eacute;nements dans cette cat&eacute;gorie</p>\n";
}
else
{
echo "<p>$num &eacute;v&eacute;nement dans cette cat&eacute;gorie</p>\n";
}
if ($actif)
{
echo "<p class=\"actif\">Cat&eacute;gorie active</p>\n";
}
else
{
echo "<p class=\"inactif\">Cat&eacute;gorie inactive</p>\n";
}
if ($total > 1)
{
echo "<p>";
if ($actif)
{
echo "<a href=\"javascript:activerCategorie('$id','0')\">D&eacute;sactiver</a> | ";
}
else
{
echo "<a href=\"javascript:activerCategorie('$id','1')\">Activer</a> | ";
}
echo "<a href=\"javascript:modifierCategorie('$id')\">Modifier</a> | <a href=\"javascript:supprimerCategorie('$id')\">Supprimer</a> | <a href=\"categories3.php?id=$id\">Fusionner avec...</a></p>\n";
}
elseif ($total == 1 AND $actif)
{
echo "<p><a href=\"javascript:modifierCategorie('$id')\">Modifier</a></p>\n";
}
elseif ($total == 1 AND !$actif)
{
echo "<p><a href=\"javascript:activerCategorie('$id','1')\">Activer</a> | <a href=\"javascript:modifierCategorie('$id')\">Modifier</a></p>\n";
}
echo "<form method=\"post\" action=\"categories1.php\" id=\"form_categorie_$id\" style=\"display:none\" onSubmit=\"return verifierFormulaire($id)\">\n";
echo "<p><input type=\"text\" name=\"nom\" id=\"modif_categorie_$id\" value=\"$nom\" onKeyUp=\"checkCategorie($id)\"> <span id=\"divCategorie_$id\"></span></p>\n";
echo "<p><input id=\"couleur_$id\" class=\"color {valueElement:'code_couleur_$id'}\"> <a href=\"#\" onclick=\"initialiserCouleur($id)\">Initialiser</a></p>\n";
echo "<input type=\"hidden\" name=\"action\" value=\"modifier\">\n";
echo "<input type=\"hidden\" name=\"disponible_$id\" id=\"disponible_$id\" value=\"1\">\n";
echo "<input type=\"hidden\" name=\"nom_old\" id=\"nom_old_$id\" value=\"$nom\">\n";
echo "<input type=\"hidden\" name=\"id\" value=\"$id\">\n";
echo "<input type=\"hidden\" name=\"couleur\" id=\"code_couleur_$id\" value=\"$couleur\">\n";
echo "<p><input name=\"Modifier\" type=\"submit\" value=\"Modifier\">\n";
echo "<input name=\"Annuler\" type=\"button\" onClick=\"annulerModif($id)\" value=\"Annuler\"></p>\n";
echo "</form>\n";
echo "</div>\n";
}
}
?>
<p>&gt; <a href="categories2.php">Ajouter une cat&eacute;gorie</a></p>
<p>
	&gt; <a href="index.php">Menu principal</a><br>
	&gt; <a href="close.php">D&eacute;connexion</a>
</p>
<?php
}
include("footer.php");
?>