<?php
/*********************************************************************
*	XLAgenda 4 par Xavier LE QUERE
*   Contact : support[at]xlagenda.fr
*   Web : http://www.xlagenda.fr
*   (C) Xavier LE QUERE, 2003-2011
*   Version 4.2 - 13/02/11
*
*   This program is free software; you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation; either version 2 of the License, or
*   (at your option) any later version.
*   
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*   
*   You should have received a copy of the GNU General Public License
*   along with this program; if not, write to the Free Software
*   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*********************************************************************/

/*********************************************************************
*	NE PAS EDITER CE FICHIER
*   POUR PERSONNALISER L'ADMIN EDITEZ header.php ET footer.php
*   VOUS POUVEZ AUSSI EDITER LA FEUILLE DE STYLE
*********************************************************************/
include("../include/data.php");
include("../include/connexion.php");
include("../include/functions.php");
initSession();
//INITIALISATION DES VARIABLES
$authorised=0;
$erreur=0;
$email_exists=0;
$user_exists=0;
$envoi_confirmation=0;

//RECUPERATION DES DONNEES
$the_user=(isset($_SESSION['the_user'])) ? $_SESSION['the_user'] : Null;
$id=(isset($_REQUEST["id"])) ? $_REQUEST['id'] : Null;
$action=(isset($_REQUEST["action"])) ? $_REQUEST['action'] : Null;
$email=(isset($_POST["email"])) ? $_POST['email'] : Null;
$user=(isset($_POST["user"])) ? $_POST['user'] : Null;
$pass=(isset($_POST["pass"])) ? $_POST['pass'] : Null;
$nom=(isset($_POST["nom"])) ? $_POST['nom'] : Null;
$prenom=(isset($_POST["prenom"])) ? $_POST['prenom'] : Null;
$ajouter=(isset($_POST["ajouter"])) ? $_POST['ajouter'] : Null;
$modifier=(isset($_POST["modifier"])) ? $_POST['modifier'] : Null;
$supprimer=(isset($_POST["supprimer"])) ? $_POST['supprimer'] : Null;
$valider=(isset($_POST["valider"])) ? $_POST['valider'] : Null;
$gerer=(isset($_POST["gerer"])) ? $_POST['gerer'] : Null;
$actif=(isset($_POST["actif"])) ? $_POST['actif'] : Null;
//SUPPRESSION DES SLASHES SI NECESSAIRE
if (get_magic_quotes_gpc())
{
$email=stripslashes($email);
$user=stripslashes($user);
$pass=stripslashes($pass);
$nom=stripslashes($nom);
$prenom=stripslashes($prenom);
}
//PROTECTION POUR EVITER LES INJECTIONS SQL
$email=mysql_real_escape_string($email);
$user=mysql_real_escape_string($user);
$pass=mysql_real_escape_string($pass);
$nom=mysql_real_escape_string($nom);
$prenom=mysql_real_escape_string($prenom);
if ($id AND !is_numeric($id))
{
die();
}
if ($ajouter AND !is_numeric($ajouter))
{
die();
}
if ($modifier AND !is_numeric($modifier))
{
die();
}
if ($supprimer AND !is_numeric($supprimer))
{
die();
}
if ($valider AND !is_numeric($valider))
{
die();
}
if ($gerer AND !is_numeric($gerer))
{
die();
}
if ($actif AND !is_numeric($actif))
{
die();
}
//PARAMETRES POUR LE MAIL DE CONFIRMATION
if ($email_exp)
{
$headers_email = "From: $email_exp\n";
$headers_email .= "MIME-Version: 1.0\n";
$headers_email .= "Content-type: text/plain; charset=iso-8859-1\n";
}
elseif ($test_serveur AND ($server != "free.fr"))
{
$headers_email = "From: webmaster@{$server}\n";
$headers_email .= "MIME-Version: 1.0\n";
$headers_email .= "Content-type: text/plain; charset=iso-8859-1\n";
}
else
{
$headers_email .= "MIME-Version: 1.0\n";
$headers_email .= "Content-type: text/plain; charset=iso-8859-1\n";
}
$objet_email="Confirmation de votre demande de compte";
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html lang="fr">
<head>
<title><?php echo $titre_page ?> | Administration</title>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
<meta name="author" content="XLAgenda <?php echo get_version() ?>">
<meta name="author-url" content="http://www.xlagenda.fr">
<link rel="stylesheet" href="style.css" type="text/css">
<meta name="robots" content="noindex, nofollow">
<meta http-equiv="pragma" content="no_cache">
<script language = "JavaScript" type="text/javascript">
<!--
function confirmerValidation(id)
{
	if (confirm('Voulez-vous rellement valider cette demande ?')) 
	{
	document.location.href="demande1.php?action=valider&id="+id;
	}
}

function confirmerSuppression(id)
{
	if (confirm('Voulez-vous rellement supprimer cette demande ?\nCette action ne pourra pas tre annule.')) 
	{
	document.location.href="demande1.php?action=supprimer&id="+id;
	}
}
// -->
</script>
<?php
include("header.php");
//ON TESTE SI L"UTILISATEUR EST CONNECTE
if (!isSessionValide())
{
//SI l'UTILISATEUR N'EST PAS CONNECTE
echo "<p>Votre session a expir&eacute;, merci de <a  href=\"index.php\">vous reconnecter</a>.</p>\n";
}

else
{
//SI L'UTILISATEUR EST CONNECTE
//CONTROLE DE L'AUTORISATION D'ACCEDER A LA PAGE
$auth=array('gerer');
$auth=isAutorise($auth);
$auth_gerer=$auth['gerer'];
if (!$auth_gerer)
{
echo "<p>Vous n'&ecirc;tes pas autoris&eacute; &agrave; acc&eacute;der &agrave; cette page.<br>\n";
echo "Pour revenir au menu principal, <a href=\"index.php\">cliquez ici</a>.</p>\n";
}
else
{
$authorised=1;
}
}

//SI l'UTILISATEUR EST AUTORISE A ACCEDER A LA PAGE
if ($authorised == 1)
{
include ("menu.php");
?>
<h2>G&eacute;rer les utilisateurs en attente</h2>
<?php
//SUPPRESSION
if ($action == "supprimer" AND $id)
{
$query="SELECT prenom,nom FROM $table_demande WHERE id='$id'";
$result=mysql_query($query);
$test=mysql_num_rows($result);
$ligne=mysql_fetch_array($result);
$prenom=$ligne["prenom"];
$nom=$ligne["nom"];
if (!$test)
{
echo "<p class=\"erreur\">Erreur : la demande s&eacute;lectionn&eacute;e n'existe pas.</p>\n";
}
else
{
$query="DELETE FROM $table_demande WHERE id='$id'";
$result=mysql_query($query);
if ($result)
{
$prenom=stripslashes($prenom);
$nom=stripslashes($nom);
echo "<p class=\"confirmation\">La demande de <b>$prenom $nom</b> a &eacute;t&eacute; supprim&eacute;e.</p>\n";
}
$query="OPTIMIZE TABLE $table_demande";
$result=mysql_query($query);
}
}
//VALIDATION
if ($action == "valider" AND $id)
{
$query="SELECT * FROM $table_demande WHERE id='$id'";
$result=mysql_query($query);
$test=mysql_num_rows($result);
$ligne=mysql_fetch_array($result);
$user=$ligne["user"];
$pass=$ligne["pass"];
$email=$ligne["email"];
$prenom=$ligne["prenom"];
$nom=$ligne["nom"];
if (!$test)
{
echo "<p class=\"erreur\">Erreur : la demande s&eacute;lectionn&eacute;e n'existe pas.</p>\n";
}
else
{
//SUPPRESSION DES SLASHES SI NECESSAIRE
if (get_magic_quotes_runtime())
{
$nom=stripslashes($nom);
$prenom=stripslashes($prenom);
$user=stripslashes($user);
$pass=stripslashes($pass);
}
//PROTECTION POUR EVITER LES INJECTIONS SQL
$nom=mysql_real_escape_string($nom);
$prenom=mysql_real_escape_string($prenom);
$user=mysql_real_escape_string($user);
$crypt_pass=crypt_pass($pass);
$query="INSERT INTO $table_users (user, password, email, nom, prenom, ajouter, modifier, supprimer, valider, gerer, actif) VALUES ('$user', '$crypt_pass', '$email', '$nom', '$prenom', '1', '1', '1', '0', '0', '0')";
$result=mysql_query($query);
if ($result)
{
$prenom=stripslashes($prenom);
$nom=stripslashes($nom);
$user=stripslashes($user);
$pass=stripslashes($pass);
if ($confirmation_compte) $envoi_confirmation=1;
if ($prenom OR $nom)
{
echo "<p class=\"confirmation\">La demande de <b>$prenom $nom</b> a &eacute;t&eacute; valid&eacute;e.</p>\n";
}
else
{
echo "<p class=\"confirmation\">La demande de <b>$user</b> a &eacute;t&eacute; valid&eacute;e.</p>\n";
}
$query="DELETE FROM $table_demande WHERE id='$id'";
$result=mysql_query($query);
$query="OPTIMIZE TABLE $table_demande";
$result=mysql_query($query);
}
else
{
echo "<p class=\"erreur\">Une erreur est survenue. La demande n'a pas pu &ecirc;tre valid&eacute;e.</p>\n";
}
}
}
//MODIFICATION
if ($action == "modifier" AND $id)
{
$nombre=strlen($pass);
$query="SELECT id FROM $table_users WHERE user = '$user'";
$result=mysql_query($query);
$user_exists=mysql_num_rows($result);
$query="SELECT id FROM $table_users WHERE email = '$email'";
$result=mysql_query($query);
$email_exists=mysql_num_rows($result);
if (!$user)
{
echo "<p class=\"erreur\">Erreur : vous devez indiquer un nom d'utilisateur.</p>\n";
$erreur = "1";
}
if (!$pass)
{
echo "<p class=\"erreur\">Erreur : vous devez indiquer un mot de passe.</p>\n";
$erreur = "1";
}
if ($pass AND $nombre < 6)
{
echo "<p class=\"erreur\">Erreur : le mot de passe fait moins de 6 caract&egrave;res.</p>\n";
$erreur=1;
}
if ($email AND !check_email($email))
{
echo "<p class=\"erreur\">Erreur : l'adresse email introduite est erron&eacute;e.</p>\n";
$erreur = "1";
}
if ($user_exists)
{
echo "<p class=\"erreur\">Erreur : le nom d'utilisateur <b>$user</b> est d&eacute;j&agrave; utilis&eacute;.</p>\n";
$erreur = "1";
}
if ($email AND $email_exists)
{
echo "<p class=\"erreur\">Erreur : l'adresse <b>$email</b> est d&eacute;j&agrave; utilis&eacute;e.</p>\n";
$erreur = "1";
}
if (!$erreur)
{
//SUPPRESSION DES SLASHES SI NECESSAIRE
if (get_magic_quotes_runtime())
{
$nom=stripslashes($nom);
$prenom=stripslashes($prenom);
$user=stripslashes($user);
$pass=stripslashes($pass);
}
//PROTECTION POUR EVITER LES INJECTIONS SQL
$nom=mysql_real_escape_string($nom);
$prenom=mysql_real_escape_string($prenom);
$user=mysql_real_escape_string($user);
$crypt_pass=crypt_pass($pass);
$query="INSERT INTO $table_users (user, password, email, nom, prenom, ajouter, modifier, supprimer, valider, gerer, actif) VALUES ('$user', '$crypt_pass', '$email', '$nom', '$prenom', '$ajouter', '$modifier', '$supprimer', '$valider', '$gerer', '$actif')";
$result=mysql_query($query);
if ($result)
{
$prenom=stripslashes($prenom);
$nom=stripslashes($nom);
$user=stripslashes($user);
$pass=stripslashes($pass);
if ($confirmation_compte) $envoi_confirmation=1;
if ($prenom OR $nom)
{
echo "<p class=\"confirmation\">La demande de <b>$prenom $nom</b> a &eacute;t&eacute; valid&eacute;e.</p>\n";
}
else
{
echo "<p class=\"confirmation\">La demande de <b>$user</b> a &eacute;t&eacute; valid&eacute;e.</p>\n";
}
$query="DELETE FROM $table_demande WHERE id='$id'";
$result=mysql_query($query);
$query="OPTIMIZE TABLE $table_demande";
$result=mysql_query($query);
}
else
{
echo "<p class=\"erreur\">Une erreur est survenue. La demande n'a pas pu &ecirc;tre valid&eacute;e.</p>\n";
}
}
}
//ENVOI DU MESSAGE DE CONFIRMATION
if ($envoi_confirmation)
{
$texte_email="Bonjour, $prenom $nom\n
Votre demande de compte pour l'agenda $server a t valide.\nVous pouvez maintenant ajouter vos vnements en vous connectant  l'adresse suivante :\nhttp://$server/$path_agenda/admin\n\n";
$texte_email .="Rappel de vos identifiants :\nNom d'utilisateur : $user\nMot de passe : $pass";
@mail($email,$objet_email,$texte_email,$headers_email);
}
//LISTE DES UTILISATEURS EN ATTENTE
$query="SELECT * FROM $table_demande ORDER BY nom ASC, prenom ASC";
$result=mysql_query($query);
if ($result)
{
$num=mysql_num_rows($result);
echo "<p>";
while($ligne=mysql_fetch_array($result))
{
$id=$ligne["id"];
$nom=$ligne["nom"];
$prenom=$ligne["prenom"];
$email=$ligne["email"];
$user=$ligne["user"];
$pass=$ligne["pass"];
$motif=$ligne["motif"];
$nom = stripslashes($nom);
$prenom = stripslashes($prenom);
$user = stripslashes($user);
$pass = stripslashes($pass);
$motif= stripslashes($motif);
echo "<div class=\"event\">\n";
echo "<p>\n";
echo "<b>Nom :</b> $nom<br>\n";
echo "<b>Pr&eacute;nom :</b> $prenom<br>\n";
echo "<b>Email :</b> $email\n";
echo "</p>\n";
echo "<p>\n";
echo "<b>Nom d'utilisateur choisi :</b> $user<br>\n";
echo "<b>Mot de passe choisi :</b> $pass\n";
echo "</p>\n";
echo "<p><b>Motif de la demande :</b><br>$motif</p>\n";
echo "<p><a href=\"javascript:confirmerValidation($id)\">Valider</a> | <a href=\"demande2.php?id=$id\">Modifier et valider</a> | <a href=\"javascript:confirmerSuppression($id)\">Rejeter</a></p>\n";
echo "</div>\n";
}
}
if (!$num)
{
echo "<p>Il n'y a pas de compte en attente de validation.</p>\n";
echo "<p>&gt; <a href=\"gerer1.php\">G&eacute;rer les utilisateurs</a></p>\n";
}
?>
<p>
	&gt; <a href="index.php">Menu principal</a><br>
	&gt; <a href="close.php">D&eacute;connexion</a>
</p>
<?php
}
include("footer.php");
?>