<?php
/*********************************************************************
*	XLAgenda 4 par Xavier LE QUERE
*   Contact : support[at]xlagenda.fr
*   Web : http://www.xlagenda.fr
*   (C) Xavier LE QUERE, 2003-2011
*   Version 4.2 - 13/02/11
*
*   This program is free software; you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation; either version 2 of the License, or
*   (at your option) any later version.
*   
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*   
*   You should have received a copy of the GNU General Public License
*   along with this program; if not, write to the Free Software
*   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*********************************************************************/

/*********************************************************************
*	NE PAS EDITER CE FICHIER
*   POUR PERSONNALISER L'ADMIN EDITEZ header.php ET footer.php
*   VOUS POUVEZ AUSSI EDITER LA FEUILLE DE STYLE
*********************************************************************/
include("../include/data.php");
include("../include/connexion.php");
include("../include/functions.php");
initSession();
//INITIALISATION DES VARIABLES
$authorised=0;
//RECUPERATION DES DONNEES
$the_user=(isset($_SESSION['the_user'])) ? $_SESSION['the_user'] : Null;
$action=(isset($_GET['action'])) ? $_GET['action'] : Null;
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html lang="fr">
<head>
<title><?php echo $titre_page ?> | Administration</title>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
<meta name="author" content="XLAgenda <?php echo get_version() ?>">
<meta name="author-url" content="http://www.xlagenda.fr">
<link rel="stylesheet" href="style.css" type="text/css">
<meta name="robots" content="noindex, nofollow">
<meta http-equiv="pragma" content="no_cache">
<script type="text/javascript" src="../include/jquery.js"></script>
<script type="text/javascript">
<!--
function verifierVersion()
{
	$.ajax({
	type: 'POST',
	url: 'checkVersion.php',
	success: function(xml)
	{
	var update=$(xml).find('update').text();
	var last_version=$(xml).find('last_version').text()
	var date_version=$(xml).find('date_version').text()
	if (update == 1)
	{
	$("#last_version").html(last_version);
	$("#date_version").html(date_version);
	$("#new_version").css("display", "block");
	}
	else
	{
	$("#no_new_version").css("display", "block");
	}
	}
	});
}
-->
</script>
<?php
include("header.php");
//ON TESTE SI L'UTILISATEUR EST CONNECTE
if (!isSessionValide())
{
//SI l'UTILISATEUR N'EST PAS CONNECTE
echo "<p>Votre session a expir&eacute;, merci de <a href=\"index.php\">vous reconnecter</a>.</p>\n";
}

else
{
//SI L'UTILISATEUR EST CONNECTE
//CONTROLE DE L'AUTORISATION D'ACCEDER A LA PAGE
$auth=array('gerer');
$auth=isAutorise($auth);
$auth_gerer=$auth['gerer'];
if (!$auth_gerer)
{
echo "<p>Vous n'&ecirc;tes pas autoris&eacute; &agrave; acc&eacute;der &agrave; cette page.<br>\n";
echo "Pour revenir au menu principal, <a href=\"index.php\">cliquez ici</a>.</p>\n";
}
else
{
$authorised=1;
}
}

//SI l'UTILISATEUR EST AUTORISE A ACCEDER A LA PAGE
if ($authorised == 1)
{
include ("menu.php");
//SI l'UTILISATEUR EST AUTORISE A ACCEDER A LA PAGE
?>
<h2>Informations sur l'application</h2>
<?php
$current_version=get_version();
$query="SELECT valeur FROM $table_config WHERE nom = 'date_install'";
$result=mysql_query($query);
if ($result)
{
$ligne=mysql_fetch_array($result);
$date_install=$ligne["valeur"];
}
$query="SELECT valeur FROM $table_config WHERE nom = 'date_update' ORDER BY id DESC LIMIT 1";
$result=mysql_query($query);
if ($result)
{
$ligne=mysql_fetch_array($result);
$date_update=$ligne["valeur"];
}
$query="SELECT valeur FROM $table_config WHERE nom = 'old_version' ORDER BY id DESC LIMIT 1";
$result=mysql_query($query);
if ($result)
{
$ligne=mysql_fetch_array($result);
$old_version=$ligne["valeur"];
}
?>
<h3>A propos de XLAgenda</h3>
<p><strong>XLAgenda 4</strong><br>
Copyright Xavier Le Qu&eacute;r&eacute;, 2003-2010<br>
<a href="http://www.xlagenda.fr" target="_blank">www.xlagenda.fr</a></p>
<p>Ce programme est un logiciel libre; vous pouvez le redistribuer et/ou le modifier selon les termes de la GNU General Public License (Licence Publique G&eacute;n&eacute;rale GNU) telle qu'elle a &eacute;t&eacute; publi&eacute;e par la Free Software Foundation; soit la version 3 de la licence, soit (comme vous le souhaitez) toute version ult&eacute;rieure.</p>
<p>Ce programme est distribu&eacute; dans l'espoir qu'il sera utile, mais SANS LA MOINDRE GARANTIE; pas m&ecirc;me la garantie implicite de COMMERCIABILIT&Eacute; ou d'AD&Eacute;QUATION &agrave; UN BUT PARTICULIER. Voir la GNU General Public License pour plus de d&eacute;tails.</p>
<p>Vous devriez avoir re&ccedil;u une copie de la GNU General Public License en m&ecirc;me temps que ce programme; si ce n'est pas le cas, consultez <a href="http://www.gnu.org/licenses" target="_blank">www.gnu.org/licenses</a>.</p>
<h3>Informations sur votre configuration</h3>
<?php
echo "<p>Version install&eacute;e : $current_version<br>\n";
echo "Date d'installation : $date_install</p>\n";
if ($date_update AND $old_version) echo "<p>Derni&egrave;re mise &agrave; jour le $date_update depuis la version $old_version</p>\n";
elseif ($date_update) echo "<p>Derni&egrave;re mise &agrave; jour le $date_update</p>\n";
?>
<h3>V&eacute;rifier les mises &agrave; jour</h3>
<p>Pour garantir la s&eacute;curit&eacute; de votre site et pouvoir disposer des derni&egrave;res fonctionnalit&eacute;s propos&eacute;es par XLAgenda, il est recommand&eacute; de v&eacute;rifier r&eacute;guli&egrave;rement la pr&eacute;sence d'une mise &agrave; jour et de toujours installer la derni&egrave;re version disponible.</p>
<p style="text-align:center"><input type="button" value="V&eacute;rifier maintenant" style="width:200px;" onclick="verifierVersion()"></p>
<p id="new_version" style="display:none;"><strong>Une nouvelle version est disponible !</strong><br>
Version <span id="last_version"></span><br>
Date de sortie : <span id="date_version"></span><br>
Rendez-vous sur <a href="http://www.xlagenda.fr" target="_blank">www.xlagenda.fr</a> pour la t&eacute;l&eacute;charger.</p>
<p id="no_new_version" style="display:none;">Vous disposez de la derni&egrave;re version disponible.</p>
<?php
}
include("footer.php");
?>