<?php
/*********************************************************************
*	XLAgenda 4 par Xavier LE QUERE
*   Contact : support[at]xlagenda.fr
*   Web : http://www.xlagenda.fr
*   (C) Xavier LE QUERE, 2003-2011
*   Version 4.2 - 13/02/11
*
*   This program is free software; you can redistribute it and/or modify
*   it under the terms of the GNU General Public License as published by
*   the Free Software Foundation; either version 2 of the License, or
*   (at your option) any later version.
*   
*   This program is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*   GNU General Public License for more details.
*   
*   You should have received a copy of the GNU General Public License
*   along with this program; if not, write to the Free Software
*   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*********************************************************************/

/*********************************************************************
*	NE PAS EDITER CE FICHIER
*   POUR PERSONNALISER L'ADMIN EDITEZ header.php ET footer.php
*   VOUS POUVEZ AUSSI EDITER LA FEUILLE DE STYLE
*********************************************************************/
include("../include/data.php");
include("../include/connexion.php");
include("../include/functions.php");
initSession();
//INITIALISATION DES VARIABLES
$authorised="";
$x="";
//RECUPERATION DES DONNEES
$the_user=(isset($_SESSION['the_user'])) ? $_SESSION['the_user'] : Null;
$id=(isset($_REQUEST['id'])) ? $_REQUEST['id'] : Null;
$action=(isset($_GET['action'])) ? $_GET['action'] : Null;
$modifier_event=(isset($_POST['modifier_event'])) ? $_POST['modifier_event'] : Null;
$modifier_valider_event=(isset($_POST['modifier_valider_event'])) ? $_POST['modifier_valider_event'] : Null;
$date_debut=(isset($_POST['date_debut'])) ? $_POST['date_debut'] : Null;
$date_fin=(isset($_POST['date_fin'])) ? $_POST['date_fin'] : Null;
$heure_debut=(isset($_POST['heure_debut'])) ? $_POST['heure_debut'] : Null;
$heure_fin=(isset($_POST['heure_fin'])) ? $_POST['heure_fin'] : Null;
$nom=(isset($_POST['nom'])) ? $_POST['nom'] : Null;
$description=(isset($_POST['description'])) ? $_POST['description'] : Null;
$categorie=(isset($_POST['categorie'])) ? $_POST['categorie'] : Null;
$lieu=(isset($_POST['lieu'])) ? $_POST['lieu'] : Null;
$contact=(isset($_POST['contact'])) ? $_POST['contact'] : Null;
$adresse=(isset($_POST['adresse'])) ? $_POST['adresse'] : Null;
$email=(isset($_POST['email'])) ? $_POST['email'] : Null;
$telephone=(isset($_POST['telephone'])) ? $_POST['telephone'] : Null;
$fax=(isset($_POST['fax'])) ? $_POST['fax'] : Null;
$lien=(isset($_POST['lien'])) ? $_POST['lien'] : Null;
$url=(isset($_POST['url'])) ? $_POST['url'] : Null;
$user=(isset($_POST['user'])) ? $_POST['user'] : Null;
$action=(isset($_GET['action'])) ? $_GET['action'] : Null;
//SUPPRESSION DES SLASHES SI NECESSAIRE
if (get_magic_quotes_gpc())
{
$date_debut=stripslashes($date_debut);
$date_fin=stripslashes($date_fin);
$heure_debut=stripslashes($heure_debut);
$heure_fin=stripslashes($heure_fin);
$nom=stripslashes($nom);
$description=stripslashes($description);
$lieu=stripslashes($lieu);
$contact=stripslashes($contact);
$adresse=stripslashes($adresse);
$email=stripslashes($email);
$telephone=stripslashes($telephone);
$fax=stripslashes($fax);
$lien=stripslashes($lien);
$url=stripslashes($url);
}
//PROTECTION POUR EVITER LES INJECTIONS SQL
$date_debut=mysql_real_escape_string($date_debut);
$date_fin=mysql_real_escape_string($date_fin);
$heure_debut=mysql_real_escape_string($heure_debut);
$heure_fin=mysql_real_escape_string($heure_fin);
$nom=mysql_real_escape_string($nom);
$description=mysql_real_escape_string($description);
$lieu=mysql_real_escape_string($lieu);
$contact=mysql_real_escape_string($contact);
$adresse=mysql_real_escape_string($adresse);
$email=mysql_real_escape_string($email);
$telephone=mysql_real_escape_string($telephone);
$fax=mysql_real_escape_string($fax);
$lien=mysql_real_escape_string($lien);
$url=mysql_real_escape_string($url);

//CONTROLE DE LA VALIDITE DES ID
if (isset($id) AND (!is_numeric($id)))
{
die();
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html lang="fr">
<head>
<title><?php echo $titre_page ?> | Administration</title>
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
<meta name="author" content="XLAgenda <?php echo get_version() ?>">
<meta name="author-url" content="http://www.xlagenda.fr">
<link rel="stylesheet" href="style.css" type="text/css">
<meta name="robots" content="noindex, nofollow">
<meta http-equiv="pragma" content="no_cache">
<script language = "JavaScript" type="text/javascript">
<!--
function showEvent(id)
{
	if (document.getElementById('description_evenement_'+id).style.display == "none")
	{
		document.getElementById('description_evenement_'+id).style.display="block";
	}
	else
	{
		document.getElementById('description_evenement_'+id).style.display="none";
	}
}

function confirmerValidation(id)
{
	if (confirm('Voulez-vous rellement valider cet vnement ?')) 
	{
	document.location.href="valider1.php?action=valider&id="+id;
	}
}

function confirmerSuppression(id)
{
	if (confirm('Voulez-vous rellement supprimer cet vnement ?\nCette action ne pourra pas tre annule.')) 
	{
	document.location.href="valider1.php?action=supprimer&id="+id;
	}
}
// -->
</script>
<?php
include("header.php");

//ON TESTE SI L'UTILISATEUR EST CONNECTE
if (!isSessionValide())
{
//SI l'UTILISATEUR N'EST PAS CONNECTE
echo "<p>Votre session a expir&eacute;, merci de <a  href=\"index.php\">vous reconnecter</a>.</p>\n";
}

else
{
//SI L'UTILISATEUR EST CONNECTE
//CONTROLE DE L'AUTORISATION D'ACCEDER A LA PAGE
$auth=array('valider');
$auth=isAutorise($auth);
$auth_valider=$auth['valider'];
if (!$auth_valider)
{
echo "<p>Vous n'&ecirc;tes pas autoris&eacute; &agrave; acc&eacute;der &agrave; cette page.<br>\n";
echo "Pour revenir au menu principal, <a href=\"index.php\">cliquez ici</a>.</p>\n";
}
else
{
$authorised=1;
}
}

//SI l'UTILISATEUR EST AUTORISE A ACCEDER A LA PAGE
if ($authorised == 1)
{
include ("menu.php");
?>
<h2>Valider les &eacute;v&eacute;nements en attente</h2>
<?php
//SI L'UTILISATEUR A CLIQUE SUR UN LIEN DE SUPPRESSION
if ($action AND $id)
{
$query="SELECT nom FROM $table_agenda WHERE id = '$id'";
$result=mysql_query($query);
if ($result)
{
$check_id=mysql_num_rows($result);
$ligne=mysql_fetch_array($result);
$nom_evenement=$ligne["nom"];
}
}
if ($action AND $id AND !$check_id)
{
echo "<p class=\"erreur\">L'&eacute;v&eacute;nement s&eacute;lectionn&eacute; n'existe pas.</p>\n";
}
if ($action == "supprimer" AND $id AND $check_id)
{
$query="DELETE FROM $table_agenda WHERE id='$id'";
$result=mysql_query($query);
if ($result)
{
$nom_evenement=stripslashes($nom_evenement);
echo "<p class=\"confirmation\">L'&eacute;v&eacute;nement <b>$nom_evenement</b> a &eacute;t&eacute; supprim&eacute;.</p>\n";
}
$query="OPTIMIZE TABLE $table_agenda";
$result=mysql_query($query);
}
//SI L'UTILISATEUR A CLIQUE SUR UN LIEN DE VALIDATION
if ($action == "valider" AND $id AND $check_id)
{
$query="UPDATE $table_agenda SET actif = '1' WHERE id='$id'";
$result=mysql_query($query);
if ($result)
{
$nom_evenement=stripslashes($nom_evenement);
echo "<p class=\"confirmation\">L'&eacute;v&eacute;nement <b>$nom_evenement</b> a &eacute;t&eacute; valid&eacute;.</p>\n";
}
}
//SI L'UTILISATEUR A CLIQUE SUR LE LIEN DE VALIDATION GLOBALE
if ($action == "tout_valider")
{
$query="UPDATE $table_agenda SET actif='1' WHERE actif='0'";
$result=mysql_query($query);
if ($result)
{
echo "<p class=\"confirmation\">Tous les &eacute;v&eacute;nements en attente ont &eacute;t&eacute; valid&eacute;s.</p>\n";
}
}
//SI L'UTILISATEUR VIENT DE RENVOYER LE FORMULAIRE DE MODIFICATION
if ($id AND ($modifier_event OR $modifier_valider_event))
{
if (!$nom OR !$description OR !$categorie OR !$date_debut OR $date_debut == "jj/mm/aaaa")
{
echo "<p class=\"erreur\">Erreur : des champs obligatoires ne sont pas remplis.<br>La modification n'a pas &eacute;t&eacute; effectu&eacute;e..</p>\n";
$erreur="1";
}
elseif (!testDate($date_debut))
{
echo "<p class=\"erreur\">Erreur : la date de d&eacute;but est invalide.<br>La modification n'a pas &eacute;t&eacute; effectu&eacute;e.</p>\n";
$erreur="1";
}
elseif ($date_fin AND $date_fin != "jj/mm/aaaa" AND !testDate($date_fin))
{
echo "<p class=\"erreur\">Erreur : la date de fin est invalide.<br>La modification n'a pas &eacute;t&eacute; effectu&eacute;e.</p>\n";
$erreur="1";
}
elseif ($heure_debut AND $heure_debut != "hh:mm" AND !testHeure($heure_debut))
{
echo "<p class=\"erreur\">Erreur : l'heure de d&eacute;but est invalide.<br>La modification n'a pas &eacute;t&eacute; effectu&eacute;e.</p>\n";
$erreur="1";
}
elseif ($heure_fin AND $heure_fin != "hh:mm" AND !testHeure($heure_fin))
{
echo "<p class=\"erreur\">Erreur : l'heure de fin est invalide.<br>La modification n'a pas &eacute;t&eacute; effectu&eacute;e.</p>\n";
$erreur="1";
}
else
{
//FORMATAGE DES DATES ET DE L'URL
$tab=explode("/",$date_debut);
$date_debut=array("$tab[2]","$tab[1]","$tab[0]");
$date_debut=implode("-",$date_debut);
$tab=explode("/",$date_fin);
$date_fin=array("$tab[2]","$tab[1]","$tab[0]");
$date_fin=implode("-",$date_fin);
if (!$date_fin)
{
$date_fin=$date_debut;
}
if ($url == "http://")
{
$url="";
}
if (!$lien AND $url)
{
$lien=$url;
}
//SUPPRESION DU CODE HTML
$nom=strip_tags($nom);
$lieu=strip_tags($lieu);
$contact=strip_tags($contact);
$adresse=strip_tags($adresse);
$description=cleanHtml($description);
//AJOUT DES SAUTS DE LIGNE
if (!$editeur_html)
{
$description=nl2br($description);
}
$query="UPDATE $table_agenda SET date_debut='$date_debut',date_fin='$date_fin',heure_debut='$heure_debut',heure_fin='$heure_fin',nom='$nom',description='$description',categorie='$categorie',lieu='$lieu',contact='$contact',email='$email',adresse='$adresse',fax='$fax',telephone='$telephone',lien='$lien',url='$url' WHERE id='$id'";
$result=mysql_query($query);
if ($result)
{
$nom=stripslashes($nom);
echo "<p class=\"confirmation\">L'&eacute;v&eacute;nement <b>$nom</b> a &eacute;t&eacute; modifi&eacute;.</p>\n";
}
if ($modifier_valider_event)
{
$query="UPDATE $table_agenda SET actif = '1' WHERE id = '$id'";
$result=mysql_query($query);
if ($result)
{
$nom=stripslashes($nom);
echo "<p class=\"confirmation\">L'&eacute;v&eacute;nement <b>$nom</b> a &eacute;t&eacute; valid&eacute;.</p>\n";
}
}
}
}
$query="SELECT * FROM $table_agenda WHERE actif='0' ORDER BY date_debut ASC, heure_debut ASC";
$result=mysql_query($query);
if ($result)
{
$num=mysql_num_rows($result);
echo "<p>";
while($ligne=mysql_fetch_array($result))
{
$id=$ligne['id'];
$date_debut=$ligne['date_debut'];
$date_fin=$ligne['date_fin'];
$heure_debut=$ligne['heure_debut'];
$heure_fin=$ligne['heure_fin'];
$nom=$ligne['nom'];
$description=$ligne['description'];
$categorie=$ligne['categorie'];
$lieu=$ligne['lieu'];
$contact=$ligne['contact'];
$adresse=$ligne['adresse'];
$email=$ligne['email'];
$telephone=$ligne['telephone'];
$fax=$ligne['fax'];
$lien=$ligne['lien'];
$url=$ligne['url'];
$id_user=$ligne['id_user'];
$date_debut=formaterDate($date_debut);
$date_fin=formaterDate($date_fin);
$heure_debut=formaterHeure($heure_debut);
$heure_fin=formaterHeure($heure_fin);
$categorie=getCategorie($categorie);
$auteur=getUser($id_user);
$nom = stripslashes($nom);
$description = stripslashes($description);
$lieu = stripslashes($lieu);
$contact = stripslashes($contact);
$adresse = stripslashes($adresse);
$lien = stripslashes($lien);
echo "<div class=\"event\">";
echo "<p>\n";
if ($date_fin != $date_debut)
{
echo "Du $date_debut au $date_fin";
}
else
{
echo "Le $date_debut";
}
if ($heure_debut != "00:00" AND $heure_fin != "00:00")
{
echo " de $heure_debut &agrave; $heure_fin";
}
elseif ($heure_debut != "00:00")
{
echo " &agrave; $heure_debut";
}
echo "<br>\n";
echo "<strong>$categorie - <a href=\"javascript:showEvent($id)\">$nom</a></strong>\n";
echo "</p>\n";
echo "<div id=\"description_evenement_$id\" style=\"display:none\">\n";
if ($editeur_html)
{
echo $description;
}
else
{
$description=nl2br($description);
echo "<p>$description</p>\n";
}
echo "<p>\n";
if ($email)
{
echo "<b>Contact et email :</b> $contact - <a href=\"mailto:$email\">$email</a><br>\n";
}
else
{
echo "<b>Contact et email :</b> $contact<br>\n";
}
echo "<b>T&eacute;l&eacute;phone :</b> $telephone<br>\n";
echo "<b>Fax :</b> $fax<br>\n";
echo "<b>Adresse :</b> $adresse<br>\n";
echo "<b>Lien et URL :</b> <a href=\"$url\" target=\"_blank\">$lien</a>\n";
echo "</p>\n";
echo "</div>\n";
echo "<p>Post&eacute; par $auteur</p>\n";
echo "<p><a href=\"valider2.php?id=$id\">Modifier</a> | <a href=\"javascript:confirmerValidation($id)\">Valider</a> | <a href=\"javascript:confirmerSuppression($id)\">Supprimer</a></p>\n";
echo "</div>\n";
}
}
if ($num)
{
echo "<p>&gt; <a href=\"valider1.php?action=tout_valider\">Tout valider</a></p>\n";
}
if (!$num)
{
echo "<p>Il n'y a pas d'&eacute;v&eacute;nement en attente de validation.</a></p>\n";
}
?>
<p>
	&gt; <a href="index.php">Menu principal</a><br>
	&gt; <a href="close.php">D&eacute;connexion</a>
</p>
<?php
}
include("footer.php");
?>